SP500 <- matrix(scan("../datasets/SP500",skip=15),ncol=5,byrow=T)
SP500 <- rev(SP500[,5])            #closing prices
SP500 <- as.numeric(SP500)
t1_SP500[1:7075]
t2_SP500[2:7076]
sp_(log(t2)-log(t1))*100
g11_garch(~-1,~garch(1,1),cond.dist='t',dist.est=T,sp)
resi_sp/g11$sigma.t

ps.options(horizontal=F, width=4.4, height=5, reset=T)
postscript("Fig418.ps", onefile=F, print=F)
par(mfrow=c(3,1),mar=c(3,3.5,3,1)+0.1, cex=0.2)
par(mex=0.3,csi=0.11, mgp = c(1.4, 0.6, 0))
tsplot(sp, type='l', xlab='t', ylim=c(-23,8.5), main='(a) Returns of the SP500 Index')
tsplot(g11$sigma.t, type='l', xlab='t', main='(b) Estimated conditional STD')
tsplot(resi, type='l', xlab='t', ylim=c(-23,8.5), main='(c) Residuals')
dev.off()


rho_acf(resi, lag=100)
sp2_resi*resi
rho2_acf(sp2, lag=100)

ps.options(horizontal=F, width=4.6, height=2.5, reset=T)
postscript("Fig419.ps", onefile=F, print=F)
par(mfrow=c(1,3),mar=c(3,3,3,0.5)+0.1, cex=0.2)
par(mex=0.3,csi=0.11, mgp = c(1.4, 0.6, 0))
acf.plot(rho, main='(a) Residuals',ylab='')
acf.plot(rho2, main='(b) Sq-residuals',ylab='')
aqqplot(resi, dist='t', distpar=8, xlab='Quantile of t(7.41)', ylab='Quantile of residual', main='(c) QQ-plot')
dev.off()

